CREATE TABLE fa_mc_books_rates (
    SET_OF_BOOKS_ID             NUMBER(18, 0),
    ASSET_ID                    NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE              VARCHAR2(120)    NOT NULL,
    TRANSACTION_HEADER_ID       NUMBER(18, 0),
    INVOICE_TRANSACTION_ID      NUMBER(18, 0),
    TRANSACTION_DATE_ENTERED    DATE         ,
    COST                        NUMBER       ,
    EXCHANGE_RATE               NUMBER           NOT NULL,
    AVG_EXCHANGE_RATE           NUMBER           NOT NULL,
    COMPLETE                    VARCHAR2(4)  ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    SET_OF_BOOKS_ID             NUMBER(18, 0),
    ASSET_ID                    NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE              VARCHAR2(120)    NOT NULL,
    TRANSACTION_HEADER_ID       NUMBER(18, 0),
    INVOICE_TRANSACTION_ID      NUMBER(18, 0),
    TRANSACTION_DATE_ENTERED    DATE         ,
    COST                        NUMBER       ,
    EXCHANGE_RATE               NUMBER           NOT NULL,
    AVG_EXCHANGE_RATE           NUMBER           NOT NULL,
    COMPLETE                    VARCHAR2(4)  ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fa_mc_books_rates PRIMARY KEY (SET_OF_BOOKS_ID, TRANSACTION_HEADER_ID, SET_OF_BOOKS_ID, TRANSACTION_HEADER_ID)
);
